curl --request GET \
--url https://api.jiffyscan.xyz/v0/getBlockActivity \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jiffyscan.xyz/v0/getBlockActivity"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jiffyscan.xyz/v0/getBlockActivity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userOps": [
{
"verificationGasLimit": "100000",
"userOpHash": "0x1855a982c9a3e1bf45fb07c6fd16cfc5e5063b064a0e10f4a17e569a48d69655",
"transactionHash": "0x72c89fe01ce7c8b106549eba64380ac54ec3239dffdb4d91fb36d9bb3fc90690",
"target": "0xea763fe334a53444671bad44fe0e033ccae4187a",
"accountTarget": {
"factory": null
},
"success": true,
"signature": "0x495ac3568e3e7426380a01ee5c99f814c3d448e57f192308e31e7cafa84ff607117ee27feaa4f313a1896fa07dcc5e27b71690f17522effd6eb1bbfe978724181b",
"sender": "0x935fdb2cf5e3afec201ae6793912c85ddc9c67d1",
"accountSender": {
"factory": "0x54ec360704b2e9e4e6499a732b78094d6d78e37b"
},
"revertReason": null,
"preVerificationGas": "48832",
"paymasterAndData": "0xdff7fa1077bce740a6a212b3995990682c0ba66d00000000000000000000000000000000000000000000000000000000645439b80000000000000000000000000000000000000000000000000000000000000000105c448713ca78d1ab4c9e81a8ba342383b1efd92cc44dc90e621f485440eb531795cd43c151471a78ff5ecc40ea08e052b84a5f86f0ec744c302edb6143cf741b",
"paymaster": "0xdff7fa1077bce740a6a212b3995990682c0ba66d",
"nonce": "1",
"network": "optimism-goerli",
"maxPriorityFeePerGas": "1500000000",
"maxFeePerGas": "1500000100",
"input": "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",
"gasPrice": "1000000050",
"id": "0x1855a982c9a3e1bf45fb07c6fd16cfc5e5063b064a0e10f4a17e569a48d69655-1",
"gasLimit": "398058",
"factory": "0x",
"callGasLimit": "128908",
"callData": "0x84bb1e42000000000000000000000000935fdb2cf5e3afec201ae6793912c85ddc9c67d10000000000000000000000000000000000000000000000000000000000000001000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000c000000000000000000000000000000000000000000000000000000000000001800000000000000000000000000000000000000000000000000000000000000080ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"blockTime": "1683240806",
"blockNumber": "8906369",
"beneficiary": "0x4337003fcd2f56de3977ccb806383e9161628d0e",
"baseFeePerGas": "50",
"actualGasUsed": "198575",
"actualGasCost": "297862509928750",
"value": "0"
}
]
}Get Block Activity
Authorizations
Query Parameters
Block number to get user operations present in the block
Which network to query ?
How many records to return
How many records to skip
Response
Success
Hash of the user operation.
Hash of the transaction that contains the user operation.
Address of the user that sent the operation.
The target of the user operation
Object containing meta data of the sender's account
Show child attributes
Show child attributes
Object containing meta data of the target's account
Show child attributes
Show child attributes
The paymaster of the user operation
Nonce of the user operation
Actual gas cost of the user operation
Actual gas used of the user operation
Whether the user operation was successful
Hexadecimal reason as to why the user operation reverted
Timestamp of the block in which the user operation was mined
Block number of the block in which the user operation was mined
Network on which the user operation was mined
Input for the transaction that contains the user operation
callData in Hex that was sent to the target of the user operation
Address of the beneficiary of the user operation
Factory of the user operation
Value sent to the target of the user op
Gas limit used for the verification of the user operation
Gas used for the pre-verification of the user operation
Max fee per gas of the user operation
Max priority fee per gas of the user operation
Paymaster and data of the user operation
Signature of the user operation
Internal ID of the user operation, can be ignored.
{
"userOps": [
{
"verificationGasLimit": "100000",
"userOpHash": "0x1855a982c9a3e1bf45fb07c6fd16cfc5e5063b064a0e10f4a17e569a48d69655",
"transactionHash": "0x72c89fe01ce7c8b106549eba64380ac54ec3239dffdb4d91fb36d9bb3fc90690",
"target": "0xea763fe334a53444671bad44fe0e033ccae4187a",
"accountTarget": { "factory": null },
"success": true,
"signature": "0x495ac3568e3e7426380a01ee5c99f814c3d448e57f192308e31e7cafa84ff607117ee27feaa4f313a1896fa07dcc5e27b71690f17522effd6eb1bbfe978724181b",
"sender": "0x935fdb2cf5e3afec201ae6793912c85ddc9c67d1",
"accountSender": {
"factory": "0x54ec360704b2e9e4e6499a732b78094d6d78e37b"
},
"revertReason": null,
"preVerificationGas": "48832",
"paymasterAndData": "0xdff7fa1077bce740a6a212b3995990682c0ba66d00000000000000000000000000000000000000000000000000000000645439b80000000000000000000000000000000000000000000000000000000000000000105c448713ca78d1ab4c9e81a8ba342383b1efd92cc44dc90e621f485440eb531795cd43c151471a78ff5ecc40ea08e052b84a5f86f0ec744c302edb6143cf741b",
"paymaster": "0xdff7fa1077bce740a6a212b3995990682c0ba66d",
"nonce": "1",
"network": "optimism-goerli",
"maxPriorityFeePerGas": "1500000000",
"maxFeePerGas": "1500000100",
"input": "0x1fad948c00000000000000000000000000000000000000000000000000000000000000400000000000000000000000004337003fcd2f56de3977ccb806383e9161628d0e00000000000000000000000000000000000000000000000000000000000000010000000000000000000000000000000000000000000000000000000000000020000000000000000000000000935fdb2cf5e3afec201ae6793912c85ddc9c67d1000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000001600000000000000000000000000000000000000000000000000000000000000180000000000000000000000000000000000000000000000000000000000001f78c00000000000000000000000000000000000000000000000000000000000186a0000000000000000000000000000000000000000000000000000000000000bec00000000000000000000000000000000000000000000000000000000059682f640000000000000000000000000000000000000000000000000000000059682f00000000000000000000000000000000000000000000000000000000000000040000000000000000000000000000000000000000000000000000000000000004c000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000244b61d27f6000000000000000000000000ea763fe334a53444671bad44fe0e033ccae4187a0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000006000000000000000000000000000000000000000000000000000000000000001a484bb1e42000000000000000000000000935fdb2cf5e3afec201ae6793912c85ddc9c67d10000000000000000000000000000000000000000000000000000000000000001000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000c000000000000000000000000000000000000000000000000000000000000001800000000000000000000000000000000000000000000000000000000000000080ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee00000000000000000000000000000000000000000000000000000000000000010000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000095dff7fa1077bce740a6a212b3995990682c0ba66d00000000000000000000000000000000000000000000000000000000645439b80000000000000000000000000000000000000000000000000000000000000000105c448713ca78d1ab4c9e81a8ba342383b1efd92cc44dc90e621f485440eb531795cd43c151471a78ff5ecc40ea08e052b84a5f86f0ec744c302edb6143cf741b00000000000000000000000000000000000000000000000000000000000000000000000000000000000041495ac3568e3e7426380a01ee5c99f814c3d448e57f192308e31e7cafa84ff607117ee27feaa4f313a1896fa07dcc5e27b71690f17522effd6eb1bbfe978724181b00000000000000000000000000000000000000000000000000000000000000",
"gasPrice": "1000000050",
"id": "0x1855a982c9a3e1bf45fb07c6fd16cfc5e5063b064a0e10f4a17e569a48d69655-1",
"gasLimit": "398058",
"factory": "0x",
"callGasLimit": "128908",
"callData": "0x84bb1e42000000000000000000000000935fdb2cf5e3afec201ae6793912c85ddc9c67d10000000000000000000000000000000000000000000000000000000000000001000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000c000000000000000000000000000000000000000000000000000000000000001800000000000000000000000000000000000000000000000000000000000000080ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"blockTime": "1683240806",
"blockNumber": "8906369",
"beneficiary": "0x4337003fcd2f56de3977ccb806383e9161628d0e",
"baseFeePerGas": "50",
"actualGasUsed": "198575",
"actualGasCost": "297862509928750",
"value": "0"
}
]
}